package shape;

public class Circle extends Item
                    implements IScalable
{
    private int r = 8;

    public int getRadius () { return r; }

    public void setRadius (int p) { r = p; }

    public String info ()
    {
        return "Circle with radius " + r;
    }

    public void draw (java.awt.Graphics2D g2)
    {
        g2.fillArc(-r/2, -r/2, r, r, 0, 360);
    }

    public void scale (int factor) { r *= factor; }


    public Circle ()
    {
    }
   
    public Circle (int r0)
    {
        setRadius (r0);
    }
}
